> For the complete documentation index, see [llms.txt](https://docs.pagsmile.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pagsmile.com/reference/payout/submit-a-payout/africa/nigeria/bank-transfer.md).

# BankTransfer

This endpoint allows you to submit a BankTransfer payout in Nigeria.

Before submitting a payout, use the Bank Account List API to retrieve the supported `bank_code` values.

<mark style="color:green;">POST</mark> `https://sandbox.transfersmile.com/api/payout`

#### Request Body

<table><thead><tr><th width="191.03515625">Parameter</th><th>Type</th><th>Required</th><th>Constraints</th><th>Description</th></tr></thead><tbody><tr><td>name</td><td>string</td><td>Required</td><td>Length must between 5 and 100.</td><td>Beneficiary name.</td></tr><tr><td>bank_code</td><td>string</td><td>Required</td><td>Use a supported Nigeria <code>bank_code</code> returned by the <a href="https://docs.pagsmile.com/reference/payout/banklist">Bank Account List API</a></td><td>Beneficiary bank code.</td></tr><tr><td>account</td><td>string</td><td>Required</td><td>The account number must be 8–20 digits.</td><td>Beneficiary bank account number.</td></tr><tr><td>fee_bear</td><td>string</td><td>Required</td><td>Merchant beneficiary</td><td>Indicates who bears the payout fee.</td></tr><tr><td>amount</td><td>string</td><td>Required</td><td>Min: <code>100</code>; max: <code>10000000</code></td><td>Payout amount.</td></tr><tr><td>source_currency</td><td>string</td><td>Required</td><td>Merchant Account Currency - One of :<code>USD</code>, <code>EUR</code>, <code>GBP</code>，<code>NGN</code></td><td>Merchant account currency.</td></tr><tr><td>arrival_currency</td><td>string</td><td>Required</td><td>Fixed value: <code>NGN</code></td><td>Currency received by the beneficiary.</td></tr><tr><td>notify_url</td><td>string</td><td>Required</td><td>Valid URL</td><td>The URL to receive payout notifications.</td></tr><tr><td>custom_code</td><td>string</td><td>Required</td><td>Max length: 64</td><td>Merchant payout order number. Must be unique.</td></tr><tr><td>additional_remark</td><td>string</td><td>Required</td><td>Max length: 255</td><td>Additional payout remark.</td></tr><tr><td>country</td><td>string</td><td>Required</td><td>Fixed value: <code>NGA</code></td><td>Destination country.</td></tr><tr><td>method</td><td>string</td><td>Required</td><td>Fixed value: <code>BANKTRANSFER</code></td><td>Payout method.</td></tr><tr><td>phone</td><td>string</td><td>Optional</td><td><p>Beneficiary's phone</p><p>Max Length: 15, valid phone</p></td><td>Beneficiary phone number.</td></tr><tr><td>email</td><td>string</td><td>Required</td><td>Valid email address</td><td>Beneficiary email address.</td></tr></tbody></table>

#### Request Sample

```json
{
  "name": "On********ma",
  "bank_code": "000014",
  "account": "00********38",
  "fee_bear": "merchant",
  "amount": "100.01",
  "source_currency": "USD",
  "arrival_currency": "NGN",
  "notify_url": "https://sandbox.transfersmile.com/api/notify/demo",
  "custom_code": "custom_code31********",
  "additional_remark": "banktransfer payout request",
  "country": "NGA",
  "method": "BANKTRANSFER",
  "email": "test@test.com"
}
```

#### Response Sample

```json
{
  "code": 200,
  "msg": "success",
  "time": 1785825013,
  "data": {
    "id": "TS2026********",
    "custom_code": "custom_code31********",
    "arrival_amount": "100.01",
    "arrival_currency": "NGN",
    "source_amount": "0.08",
    "source_currency": "USD",
    "status": "IN_PROCESSING"
  }
}
```

### Query Bank Code

Use the Bank Account List API to retrieve the supported `bank_code` values for Nigeria BankTransfer payouts.

<mark style="color:green;">POST</mark> `https://sandbox.transfersmile.com/api/payout/bank-account-list`

#### Request Sample

```json
{
  "timestamp": "1785209298",
  "method": "BANKTRANSFER",
  "country": "NGA"
}
```

### Error Codes

For more information about payout error codes, please refer to [Payout API Code](https://docs.pagsmile.com/reference/payout/api-code).
